Get specific sku-list - Fabric

Get specific sku-list

cURL

curl --request GET \
  --url https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java (Unirest)

HttpResponse<String> response = Unirest.get("https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}")
  .header("x-site-context", "<x-site-context>")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Response Codes

Sample Response

{
  "_id": "614b58924e92f6861ac9d43b",
  "title": "GlobalExc_1",
  "listType": "GLOBAL_EXCLUSION",
  "applicableOn": [
    "PRODUCT_PRICE"
  ],
  "targetProducts": [
    {
      "kind": "SKU",
      "value": [
        1000000123
      ]
    }
  ],
  "startDate": "2022-05-04T09:23:51.459Z",
  "endDate": "2099-12-31T00:00:00.000Z",
  "deleted": false,
  "createdAt": "2020-12-14T12:15:43.646Z",
  "updatedAt": "2021-12-14T12:15:43.646Z"
}

Error Responses

Bad Request

{
  "code": "BAD_REQUEST",
  "message": "Bad Request"
}

Internal Server Error

{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}

Authorization